#
# spec file for package python-pyrrd
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname PyRRD

Name:           python-pyrrd
Version:        0.1.0
Release:        lp151.2.2
Summary:        An Object-Oriented Python Interface for RRD
License:        BSD-3-Clause
Group:          Development/Libraries/Python
Url:            http://code.google.com/p/pyrrd/
Source:         http://pypi.python.org/packages/source/P/PyRRD/%{modname}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-xml
Requires:       python-setuptools
Requires:       python-xml
Requires:       rrdtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
%if %{?suse_version: 0%{?suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%endif

%description
PyRRD is a pure-Python OO wrapper for the RRDTool (round-robin database tool).
The idea is to make RRDTool insanely easy to use and to be aesthetically
pleasing for Python programmers.

%prep
%setup -q -n %{modname}-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --single-version-externally-managed --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc docs examples ChangeLog LICENSE README TODO

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Feb 15 2012 jfunk@funktronics.ca
- Switch from setuptools to distribute
* Tue Nov 29 2011 cfarrell@suse.com
- license update: BSD-3-Clause
  SPDX format
* Sun Nov 27 2011 jfunk@funktronics.ca
- Update to 0.1.0
  This version marks a significant update to the code base. Some 70+ commits
  have been made to trunk since the last release in the period from March 2009
  to September 2011. Some of the most signficant changes include the
  following:
  - Added a wrapper for the Python bindings.
  - Improvements in tests and testing infrastructure.
  - Improved exception handling.
  - Many changes and improvements to the RRD -> Python object mapper.
  - Improved support in Windows.
  - Graph formatting fixes.
  - Many bug fixes from community members.
* Thu Nov 24 2011 idoenmez@suse.de
- Format spec file
* Mon Feb 15 2010 jfunk@funktronics.ca
- Initial release
